### Method

# GLib RWLock reader_trylock

since: 2.32

#### Declaration [src]

    gboolean
    g_rw_lock_reader_trylock (
      GRWLock* rw_lock
    )

#### Description [src]

Tries to obtain a read lock on `rw_lock` and returns `TRUE` if the read lock was successfully obtained. Otherwise it returns `FALSE`.

Available since: 2.32

#### Return value

Type: `gboolean`

`TRUE` if `rw_lock` could be locked.